import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
// import {} from 'd3';
import { useData } from './useData.js';
import { Marks } from './Marks.js';

const App = () => {
  const data = useData();

  const width = 960;
  const height = 500;

  if (data == null) {
    return <div class="message">Loading...</div>;
  }

  return <svg width={width} height={height}>
  <Marks data={data} />
  </svg>;
};

ReactDOM.render(<App />, document.getElementById('root'));
